////////////////////////////////////////////////////////////////////
//
//		CLASS : RunWin
//		=================
//     the window is used for showing application running information.
//
//     Last_Modified: On 8/5/98.
//		use one window for showing running info and use one 
//		Thread for waiting for the response from runAppServ	
//		parameter includes current application and the URL
//		of the servlet. 
////////////////////////////////////////////////////////////////////

import java.awt.*;
import java.applet.*;
import java.io.*;
import java.net.*;
import java.util.*;

class RunWin extends Frame { 
	private int vwWidth = 350, vwHeight = 250;
	private String str  = "             The Applicatin Execution is Requested           ";
	private String str2 = "                                                             ";
	private RunApp runapp = null;

	Label prompt;
	Label heading;
	Label extra_message1;
	Label extra_message2;
	Label extra_message3;
	Label extra_message4;

	Button close;

	public RunWin(vdceapp appl, int totalTaskNum, String ACSurl,
			String ACS_arg, String str,
			String AESServHost, String AESPortNo, String UserName) {
		super();
		setTitle("Running Information Window");
		setLayout(new BorderLayout());

		String	headline = "User Name : " + UserName;

		Panel message = new Panel();

		heading = new Label(headline, Label.CENTER);
		prompt	= new Label(this.str, Label.CENTER);
		extra_message1 = new Label(this.str2, Label.LEFT);
		extra_message2 = new Label(this.str2, Label.LEFT);
		extra_message3 = new Label(this.str2, Label.LEFT);
		extra_message4 = new Label(this.str2, Label.LEFT);

		message.add(heading);
		message.add(prompt);
		message.add(extra_message1);
		message.add(extra_message2);
		message.add(extra_message3);
		message.add(extra_message4);

		add("Center", message);

		// July 25.
//		add("Center", prompt);

		Panel p = new Panel();
		add("South", p);
		close = new Button("CLOSE");
		close.disable();
		p.add(close);

		resize(vwWidth, vwHeight);
		show();
		System.out.println("RunWin : " + ACSurl);
		System.out.println("RunWin : " + ACS_arg);
		runapp = new RunApp(appl, totalTaskNum, this, ACSurl, ACS_arg, 
				str, AESServHost, AESPortNo);
		runapp.start();
	}

	public boolean action(Event evt, Object obj) {
		if (evt.target instanceof Button) {
			if ("CLOSE".equals(obj)) {
				System.out.println("CLOSE");
				dispose();
				return true;
			}
			return false;
		}
		return false;
	}
}

